'''
1) Попросите пользователя ввести произвольную строку.
2) Выведите коды всех символов строки, введённой пользователем.
3) Попросите пользователя ввести строку, состоящую только из цифр.
4) Используя соответствующую функцию, проверьте введённую пользователем строку, 
и если он ввёл правильно, то написать «Спасибо!», иначе выбросить исключение, в обработке которого вывести строку «Некорректный ввод!».
'''
s1 = input('введите строку')
l = []
for i in s1:
    l.append(ord(i))
print(l)

s2 = input('введите строку только из цифр')

if s2.isdigit() == True:
    print('Спасибо!')
else:
    raise Exception('не корректный ввод!')
